Loading...
Searching...
No Matches
CglKnapsackCover.hpp File Reference
`#include <string>`
`#include "CglCutGenerator.hpp"`
`#include "CglTreeInfo.hpp"`
Include dependency graph for CglKnapsackCover.hpp:

Go to the source code of this file.

## Classes

class | CglKnapsackCover
| Knapsack Cover Cut Generator Class. More...
struct | CglKnapsackCover::CliqueType
| Clique type. More...

## Functions

void | CglKnapsackCoverUnitTest (const OsiSolverInterface *siP, const std::string mpdDir)
| A function that tests the methods in the CglKnapsackCover class.

## Function Documentation

## CglKnapsackCoverUnitTest()

void CglKnapsackCoverUnitTest | ( | const OsiSolverInterface * | siP,
|  | const std::string | mpdDir )

A function that tests the methods in the CglKnapsackCover class.

The only reason for it not to be a member method is that this way it doesn't have to be compiled into the library. And that's a gain, because the library should be compiled with optimization on, but this method should be compiled with debugging.